package com.junmp.junmpProcess.controller;

import com.junmp.junmpProcess.dto.HandleDataDTO;
import com.junmp.junmpProcess.service.Bussiness.WorkProcessService;
import com.junmp.junmpProcess.service.IFlowDefinitionService;
import com.junmp.junmpProcess.service.ISysFormService;
import com.junmp.jyzb.api.bean.query.ProcessReq.SuspendOrActivateDefinitionReq;
import com.junmp.v2.common.bean.response.ApiRes;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@Slf4j
@RestController
@RequestMapping("/FlowDefinition")
@Api(tags = "流程定义")
public class FlowDefinitionController {
    @Autowired
    private IFlowDefinitionService FlowDefinitionService;

    @ApiOperation("停启用流程")
    @PostMapping("StopProcessInstanceById")
    public ApiRes<Boolean> stopProcessInstanceById(@RequestBody SuspendOrActivateDefinitionReq req) {
        return ApiRes.success(FlowDefinitionService.updateState(req));
    }
    @ApiOperation("根据业务ID换取最新的流程信息")
    @PostMapping("GetProcessDefinitionId")
    public ApiRes<String> GetProcessDefinitionId(@RequestBody Map<String,Object> templateId) {
        String temp= templateId.get("formId").toString();
        return FlowDefinitionService.getLatestDefinitionId(temp);
    }
}
